/**
 * @author yanrong.tian
 * @date 2020/5/16 14:22:00
 */

var fs = require('fs');
const path = require('path');


class FileListPlugin {
  constructor(options) {
    this.options = options;
  }
  apply(compiler) {
    compiler.hooks.thisCompilation.tap('FileListPlugin', compilation => {
      const Compilation = compiler.webpack.Compilation;
      compilation.hooks.processAssets.tap(
        {
          name: 'FileListPlugin',
          stage: Compilation.PROCESS_ASSETS_STAGE_PRE_PROCESS,
        },
        assets => {
          compilation.emitAsset(
            this.options[0].fileName,
            new compiler.webpack.sources.RawSource(this.options[0].content || '', false),
          );
        },
      );
    });
  }
}
module.exports = FileListPlugin;
