/**
 * 执行publish命令时，上传子应用的文件到服务器
 * @author yanrong.tian
 * @date 2020/5/16 14:22:00
 */

var fs = require('fs');
var path = require('path');

var PackageMap = function(options) {
  this.options = options;
  this.root = options.root;
  this.data = [];
  this.level = 0;
  this.setData = options.setData;
  this.readDirs(this.root);
  
};
PackageMap.prototype = {
  each: function(data, callback) {
    var i, k;
    for (i = 0, k = data.length; i < k; i++) {
      callback.call(this, i);
    }
  },

  readDirs: function(dirName) {
    
    var _this = this;
    const dirs = fs.readdirSync(dirName);
    
    if(this.options.level && this.level >= this.options.level) {
      return;
    }
    this.level ++;
    _this.each(dirs, function(i) {
      var fileName = dirs[i];
      var fileFullName = dirName + '/' + fileName;
      var stat = fs.lstatSync(fileFullName);
      if (stat.isDirectory() && fileName.match(/^\./) !== 0) {
        _this.setData(fileFullName, fileName, i >= dirs.length - 1);
        _this.readDirs(fileFullName);
      }
      
    });
  },

  // setData: function(data, fileFullName, fileName) {
  //   const dataBuffer = fs.readFileSync(fileFullName);
  //   const base64 = dataBuffer.toString('base64');
  //   data.push({
  //     fileName: fileName,
  //     base64: base64 || '',
  //     type: 'file',
  //   });
  // },
};

module.exports = PackageMap;
