import React, { Component } from 'react';

class Base extends Component {
  // 获取维度数据
  getDimensionsData = ({
    data = [],
    dimensionConfig = []
  }) => {
    if(!(dimensionConfig[0] && dimensionConfig[0].keyName)) {
      return [];
    }
    const dimension = dimensionConfig[0];
    if(!dimension.autoDimensions) {
      return (dimension.dimensions || []).map(item => {
        return {
          label: item.label,
          value: item.value ? item.value + '' : '',
        }
      });
    }
    else {
      const keyName = dimension.keyName;
      return (data || []).map(item => {
        return {
          label: item[keyName],
          value: item[keyName] ? item[keyName] + '' : ''
        };
      })
    }
  }

  // 获取有用的props
  propsOptionsObj = {};
  getRestProps = ({
    restProps = {},
    propsOptions = []
  }) => {
    const newRestProps = {};
    if(!Object.keys(this.propsOptionsObj).length) {
      propsOptions.forEach(option => {
        this.propsOptionsObj[option.name] = true;
      });
    }
    Object.keys(restProps).forEach(propName => {
      if(this.propsOptionsObj[propName]) {
        newRestProps[propName] = restProps[propName];
      }
    })
    return newRestProps;
  }
}

export default Base;

