import {TinyColor} from '@ctrl/tinycolor';
import {generate} from '@ant-design/colors';

export const getColorPalettes = (baseColor) => {
  const {global} = this.props;
  const isDark = global.themeMode === 'dark';
  var newBaseColor = new TinyColor(baseColor);
  return generate(newBaseColor.toRgbString(), {
    theme: isDark ? 'dark' : '',
    backgroundColor: isDark ? '#000' : '#fff'
  });
}

export const getColorAlpha = (baseColor, alpha) => {
  var newBaseColor = new TinyColor(baseColor);
  newBaseColor.setAlpha(alpha);
  return newBaseColor.toRgbString();
}